Subject: Re: bug#12404: 24.2; fails to load X11 resources

From: Glenn Morris <[email-masked]>
Date: Tue, 11 Sep 2012 03:21:36 -0400

Yuri D'Elia wrote:

> emacs24 seems to ignore X11 resources completely. I'm trying Debian's
> GTK and "Lucid" variants of emacs 24.2 and both completely ignore my
> X11 font resources that emacs23 has been accepting for years.
>
> I have the following set:
>
> emacs.font:		-*-terminus-*-*-*-*-20-*-*-*-*-*-iso10646-1
>
> emacs24 ignores it completely (emacs23 works as expected).
> I tried both emacs24/-lucid, and both end up using the following font
> as frame's default:
>
>   -bitstream-Bitstream Vera Sans
> Mono-normal-normal-normal-*-15-*-*-*-m-0-fontset-startup
>
> which is not even my default GTK font!

It works fine for me using Debian's 24.1 package (ie, the GTK+ version),
started with -q (not -Q because that ignores X resources), under XFCE,
with an X resource of the form:

   Emacs.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso8859-1

I can't remember whether Gnome settings will take precedence if Gnome
services are running. So suggestion 1 is to recompile --without-gconf
--without-gsettings and see if it makes a difference.

Suggestion 2 is to try specifying the font completely in X resources.

> In GNU Emacs 24.2.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.10)
>  of 2012-09-09 on trouble, modified by Debian